zenilib: ALeffect Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
ALeffect Struct Reference

`#include <alEffect.h>`

## Public Attributes

struct {
ALfloat Gain
} | Dedicated
struct {
ALfloat Damping
ALfloat Delay
ALfloat Feedback
ALfloat LRDelay
ALfloat Spread
} | Echo
void(* | GetParamf )(struct ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)
void(* | GetParamfv )(struct ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)
void(* | GetParami )(struct ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)
void(* | GetParamiv )(struct ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)
ALuint | id
struct {
ALfloat Frequency
ALfloat HighPassCutoff
ALint Waveform
} | Modulator
struct {
ALfloat AirAbsorptionGainHF
ALboolean DecayHFLimit
ALfloat DecayHFRatio
ALfloat DecayLFRatio
ALfloat DecayTime
ALfloat Density
ALfloat Diffusion
ALfloat EchoDepth
ALfloat EchoTime
ALfloat Gain
ALfloat GainHF
ALfloat GainLF
ALfloat HFReference
ALfloat LateReverbDelay
ALfloat LateReverbGain
ALfloat LateReverbPan [3]
ALfloat LFReference
ALfloat ModulationDepth
ALfloat ModulationTime
ALfloat ReflectionsDelay
ALfloat ReflectionsGain
ALfloat ReflectionsPan [3]
ALfloat RoomRolloffFactor
} | Reverb
void(* | SetParamf )(struct ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)
void(* | SetParamfv )(struct ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)
void(* | SetParami )(struct ALeffect *effect, ALCcontext *context, ALenum param, ALint val)
void(* | SetParamiv )(struct ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)
ALenum | type

## Detailed Description

Definition at line 24 of file alEffect.h.

## Member Data Documentation

ALfloat ALeffect::AirAbsorptionGainHF

Definition at line 41 of file alEffect.h.

Referenced by CalcSourceParams(), eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::Damping

Definition at line 62 of file alEffect.h.

Referenced by echo_GetParamf(), echo_SetParamf(), EchoUpdate(), and InitEffectParams().

ALboolean ALeffect::DecayHFLimit

Definition at line 43 of file alEffect.h.

Referenced by eaxreverb_GetParami(), eaxreverb_SetParami(), InitEffectParams(), LoadReverbPreset(), reverb_GetParami(), reverb_SetParami(), and ReverbUpdate().

ALfloat ALeffect::DecayHFRatio

Definition at line 36 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::DecayLFRatio

Definition at line 47 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), and LoadReverbPreset().

ALfloat ALeffect::DecayTime

Definition at line 35 of file alEffect.h.

Referenced by CalcSourceParams(), eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

struct { ... } ALeffect::Dedicated

Referenced by ded_GetParamf(), ded_SetParamf(), DedicatedUpdate(), and InitEffectParams().

ALfloat ALeffect::Delay

Definition at line 59 of file alEffect.h.

Referenced by echo_GetParamf(), echo_SetParamf(), EchoUpdate(), and InitEffectParams().

ALfloat ALeffect::Density

Definition at line 31 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::Diffusion

Definition at line 32 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

struct { ... } ALeffect::Echo

Referenced by echo_GetParamf(), echo_SetParamf(), EchoUpdate(), and InitEffectParams().

ALfloat ALeffect::EchoDepth

Definition at line 51 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), and ReverbUpdate().

ALfloat ALeffect::EchoTime

Definition at line 50 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), and ReverbUpdate().

ALfloat ALeffect::Feedback

Definition at line 63 of file alEffect.h.

Referenced by echo_GetParamf(), echo_SetParamf(), EchoUpdate(), and InitEffectParams().

ALfloat ALeffect::Frequency

Definition at line 69 of file alEffect.h.

Referenced by InitEffectParams(), mod_GetParamf(), mod_GetParami(), mod_SetParamf(), and ModulatorUpdate().

ALfloat ALeffect::Gain

Definition at line 33 of file alEffect.h.

Referenced by ded_GetParamf(), ded_SetParamf(), DedicatedUpdate(), eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::GainHF

Definition at line 34 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::GainLF

Definition at line 46 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), and LoadReverbPreset().

void(* ALeffect::GetParamf)(struct ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *val)

Definition at line 85 of file alEffect.h.

Referenced by InitEffectParams().

void(* ALeffect::GetParamfv)(struct ALeffect *effect, ALCcontext *context, ALenum param, ALfloat *vals)

Definition at line 86 of file alEffect.h.

Referenced by InitEffectParams().

void(* ALeffect::GetParami)(struct ALeffect *effect, ALCcontext *context, ALenum param, ALint *val)

Definition at line 83 of file alEffect.h.

Referenced by InitEffectParams().

void(* ALeffect::GetParamiv)(struct ALeffect *effect, ALCcontext *context, ALenum param, ALint *vals)

Definition at line 84 of file alEffect.h.

Referenced by InitEffectParams().

ALfloat ALeffect::HFReference

Definition at line 54 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), and ReverbUpdate().

ALfloat ALeffect::HighPassCutoff

Definition at line 70 of file alEffect.h.

Referenced by InitEffectParams(), mod_GetParamf(), mod_GetParami(), mod_SetParamf(), and ModulatorUpdate().

ALuint ALeffect::id

Definition at line 89 of file alEffect.h.

Referenced by alDeleteEffects(), alGenEffects(), alGetAuxiliaryEffectSloti(), and ReleaseALEffects().

ALfloat ALeffect::LateReverbDelay

Definition at line 40 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::LateReverbGain

Definition at line 39 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::LateReverbPan[3]

Definition at line 49 of file alEffect.h.

Referenced by eaxreverb_GetParamfv(), eaxreverb_SetParamfv(), InitEffectParams(), LoadReverbPreset(), and ReverbUpdate().

ALfloat ALeffect::LFReference

Definition at line 55 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), and LoadReverbPreset().

ALfloat ALeffect::LRDelay

Definition at line 60 of file alEffect.h.

Referenced by echo_GetParamf(), echo_SetParamf(), EchoUpdate(), and InitEffectParams().

ALfloat ALeffect::ModulationDepth

Definition at line 53 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), and ReverbUpdate().

ALfloat ALeffect::ModulationTime

Definition at line 52 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), and ReverbUpdate().

struct { ... } ALeffect::Modulator

Referenced by InitEffectParams(), mod_GetParamf(), mod_GetParami(), mod_SetParamf(), mod_SetParami(), and ModulatorUpdate().

ALfloat ALeffect::ReflectionsDelay

Definition at line 38 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::ReflectionsGain

Definition at line 37 of file alEffect.h.

Referenced by eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_SetParamf(), and ReverbUpdate().

ALfloat ALeffect::ReflectionsPan[3]

Definition at line 48 of file alEffect.h.

Referenced by eaxreverb_GetParamfv(), eaxreverb_SetParamfv(), InitEffectParams(), LoadReverbPreset(), and ReverbUpdate().

struct { ... } ALeffect::Reverb

Referenced by CalcSourceParams(), eaxreverb_GetParamf(), eaxreverb_GetParamfv(), eaxreverb_GetParami(), eaxreverb_SetParamf(), eaxreverb_SetParamfv(), eaxreverb_SetParami(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), reverb_GetParami(), reverb_SetParamf(), reverb_SetParami(), and ReverbUpdate().

ALfloat ALeffect::RoomRolloffFactor

Definition at line 42 of file alEffect.h.

Referenced by CalcSourceParams(), eaxreverb_GetParamf(), eaxreverb_SetParamf(), InitEffectParams(), LoadReverbPreset(), reverb_GetParamf(), and reverb_SetParamf().

void(* ALeffect::SetParamf)(struct ALeffect *effect, ALCcontext *context, ALenum param, ALfloat val)

Definition at line 80 of file alEffect.h.

Referenced by InitEffectParams().

void(* ALeffect::SetParamfv)(struct ALeffect *effect, ALCcontext *context, ALenum param, const ALfloat *vals)

Definition at line 81 of file alEffect.h.

Referenced by InitEffectParams().

void(* ALeffect::SetParami)(struct ALeffect *effect, ALCcontext *context, ALenum param, ALint val)

Definition at line 78 of file alEffect.h.

Referenced by InitEffectParams().

void(* ALeffect::SetParamiv)(struct ALeffect *effect, ALCcontext *context, ALenum param, const ALint *vals)

Definition at line 79 of file alEffect.h.

Referenced by InitEffectParams().

ALfloat ALeffect::Spread

Definition at line 65 of file alEffect.h.

Referenced by echo_GetParamf(), echo_SetParamf(), EchoUpdate(), and InitEffectParams().

ALenum ALeffect::type

Definition at line 27 of file alEffect.h.

Referenced by alcOpenDevice(), alGetEffecti(), CalcNonAttnSourceParams(), CalcSourceParams(), DedicatedUpdate(), InitEffectParams(), InitializeEffect(), and ReverbUpdate().

ALint ALeffect::Waveform

Definition at line 71 of file alEffect.h.

Referenced by InitEffectParams(), mod_GetParami(), mod_SetParami(), and ModulatorUpdate().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/OpenAL32/Include/alEffect.h